<script lang="ts">
	import { fade } from 'svelte/transition';
	import { ArrowDownCircleIcon } from 'svelte-feather-icons';
	import { scrollY } from '../utils/store';
	import { onMount } from 'svelte';
	import type { Horaire } from '../routes/(admin)/admin/metrouver/type';
	import { collection, getDocs } from 'firebase/firestore';
	import { db } from '$lib/firebase/firebase';

	let loading: boolean = true;

	let horaires: Horaire[] = [];
	let horairesMap: Map<string, Horaire[]> = new Map();

	const getHoraires = async () => {
		horaires = [];
		const docRef = await getDocs(collection(db, 'horaires'));
		docRef.forEach((doc) => {
			const data = { ...doc.data(), id: doc.id } as Horaire;
			horaires.push(data);
			const horaire = horairesMap.get(data.horaireFrom + '-' + data.horaireTo);
			horairesMap.set(
				data.horaireFrom + '-' + data.horaireTo,
				horaire ? [...horaire, data] : [data]
			);
		});
		horaires = horaires;
		horairesMap = horairesMap;
		loading = false;
	};

	onMount(() => {
		getHoraires();
	});
</script>

<section
	class="relative flex items-center justify-center overflow-hidden flex-none h-[80vh]"
	style="background-image: url(/carte_postale_xocourt.png); background-position: center center; background-size: cover;"
>
	<div class="w-full h-full absolute top-0 left-0" style="background-color: rgba(0, 0, 0, 0.7);" />
	<div
		class="relative flex flex-col justify-center items-center gap-4 container mx-auto px-6S py-12 px-4 md:py-16 xl:py-28 md:text-4xl text-8xl"
	>
		<div class="md:w-4/5 w-full flex flex-col gap-4 items-center text-center">
			<h2
				class="text-3xl md:text-5xl xl:leading-tight mb-4"
				style="color: rgb(255, 255, 255); font-family: var(--head-fontFamily); font-weight: var(--head-fontWeight);"
			>
				Un petit fournil pour une petite ville
			</h2>
			{#if !loading}
				<p
					class="text-body md:text-body-lg text-xl md:text-2xl"
					style="color: rgb(255, 255, 255); scroll-behavior: smooth; font-family: var(--body-fontFamily); font-weight: var(--body-fontWeight);"
					transition:fade
				>
					Au Fournil Madame Pain
					{#if horaires.length >= 1}
						{#each Array.from(horairesMap) as [key, value], index}
							tous les
							{#each value as horaire, i}
								{horaire.jour.toLowerCase()}s{#if i < value.length - 1},&nbsp;{/if}
							{/each}
							de {key.split('-')[0]} à {key.split(
								'-'
							)[1]}{#if index < Array.from(horairesMap).length - 1}
								,&nbsp;
							{/if}
						{/each}
					{/if}
					(sauf jours de marché)
				</p>
			{/if}
		</div>
		{#if $scrollY < 50}
			<button
				class="absolute -bottom-5"
				transition:fade
				on:click={() => {
					window.scrollTo({ top: 500, behavior: 'smooth' });
				}}
			>
				<ArrowDownCircleIcon class="animate-bounce w-12 h-12 text-white" />
			</button>
		{/if}
	</div>
</section>
